Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Highlighted
Developer
Posts: 22
Registered: ‎10-30-2008
My Device: Not Specified
Accepted Solution

4.2.1 on 4.2.0 device

Hi,

 

I made an application that will run on few 8800. Some of the devices have API 4.2.0 and other 4.2.1. I want to use the class net.rim.device.api.ui.Trackball which is only available on SDK 4.2.1.

 

Is it safe to install an application built with 4.2.1 on 4.2.0 devices?

 

Developer
Posts: 5,339
Registered: ‎09-20-2008
My Device: ***
My Carrier: ***

Re: 4.2.1 on 4.2.0 device

No it is not safe.

 

It may cause runtime errors, when an internal JVM reference in your application byte-code cannot be resolved.

Developer
Posts: 22
Registered: ‎10-30-2008
My Device: Not Specified

Re: 4.2.1 on 4.2.0 device

Thanks tbilisoft.